Subject: bug#6016: 23.1; ERC error in process filter

From: Tom Tromey <[email-masked]>
Date: Fri, 23 Apr 2010 10:16:46 -0600

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

Today I got this error message from ERC:

error in process filter: setq: Buffer name `username_biaw' is in use
error in process filter: Buffer name `username_biaw' is in use

(I substituted 'username' for the real username.)

I think I had a private chat with 'username', then he renamed himself to
'username_biaw', then later rejoined as 'username' (I had buffers with
both names), then renamed again to 'username_biaw'.  However, I'm not
completely certain that this is what caused the error.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/share/emacs/23.1/etc/DEBUG for instructions.

In GNU Emacs 23.1.1 (i386-redhat-linux-gnu, GTK+ Version 2.16.6)
 of 2010-01-14 on x86-01.phx2.fedoraproject.org
Windowing system distributor `The X.Org Foundation', version 11.0.10603901
configured using `configure  '--build=i386-redhat-linux-gnu' '--host=i386-redhat-linux-gnu' '--target=i586-redhat-linux-gnu' '--program-prefix=' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/var/lib' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--with-dbus' '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff' '--with-xft' '--with-xpm' '--with-x-toolkit=gtk' 'build_alias=i386-redhat-linux-gnu' 'host_alias=i386-redhat-linux-gnu' 'target_alias=i586-redhat-linux-gnu' 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i586 -mtune=generic -fasynchronous-unwind-tables''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Summary

Minor modes in effect:
  gnus-agent-mode: t
  shell-dirtrack-mode: t
  erc-list-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-netsplit-mode: t
  erc-spelling-mode: t
  erc-truncate-mode: t
  diff-auto-refine-mode: t
  erc-status-mode: t
  erc-services-mode: t
  erc-networks-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
- d e p r e c a t e d SPC c o m p l e t i o n " <return> 
# S-SPC I f SPC t h e r e SPC i s SPC o n l y SPC a 
SPC d e p r e c a t e d SPC c o m p l e t i o n SPC 
<backspace> , SPC t h e n SPC i t SPC s h o u l d SPC 
b e SPC r e t u r n e d . C-f C-o g d M-/ SPC " c o 
m p l e t e C-p C-p M-f v C-n C-n SPC s a v e - t " 
S-SPC " s a v e - t r a c e p o i n t s SPC " S-SPC 
" t e s t SPC d e p r e M-/ SPC c o n <backspace> <backspace> 
o m M-/ " C-b C-b C-d M-/ M-/ C-x C-s M-< C-s x f a 
i l C-a C-u C-SPC C-u C-SPC M-b M-b M-b M-b M-f C-d 
C-p C-p M-b M-b M-b M-b M-f C-d C-x C-s C-x b e b <tab> 
<tab> _ <tab> <return> C-x k <return> C-x b e b <tab> 
<return> C-x k <return> C-z n C-z o C-x b # g d b <return> 
C-c b C-c C-g C-x b # t o <tab> <return> C-r e b a 
c C-w C-r C-r C-r M-> C-c b <f10> <f10> <f10> <f10> 
<f10> <f10> <f10> C-x C-b C-x o C-x b * M e s <tab> 
<return> C-x 1 M-> C-z o C-x 1 z M-x r e p o r t - 
e m <tab> b <tab> <return>

Recent messages:
Wrote /home/tromey/gnu/archer/archer/gdb/testsuite/gdb.base/completion.exp
Mark set
Mark saved where search started
Saving file /home/tromey/gnu/archer/archer/gdb/testsuite/gdb.base/completion.exp...
Wrote /home/tromey/gnu/archer/archer/gdb/testsuite/gdb.base/completion.exp
error in process filter: setq: Buffer name `username_biaw' is in use
error in process filter: Buffer name `username_biaw' is in use
Making completion list...
Mark saved where search started
Mark set [2 times]

Tom